Page MenuHomePhabricator

Make MWExceptionHandler include full request URL (for PHP notices, warnings, and exceptions)
Closed, ResolvedPublic

Description

Log the full request URL with PHP errors and exceptions and Mediawiki debug logs.

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added subscribers: JanZerebecki, hoo, aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 1:22 PM
Aklapper triaged this task as Lowest priority.Feb 27 2015, 10:52 AM
JanZerebecki set Security to None.
Krinkle renamed this task from log full request URL with PHP errors, exceptions and mw debug logs to Make MWExceptionHandler include full request URL (for PHP notices, warnings, and exceptions).EditedMar 14 2015, 12:03 AM
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.

The debug log shows the request url at the start of every incoming request.

The error log (php notices/warnings) and exception log (uncaught exceptions) also both include the request URL in every data packet (prepended to the front in the default text format, and in the url property for the JSON format).

JanZerebecki closed this task as Resolved.Mar 16 2015, 9:05 PM
JanZerebecki claimed this task.

All I need now is that fixed: T45086#1064532